This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1311137 - Uncaught exception occurred when editing a CPU profile.
Uncaught exception occurred when editing a CPU profile.
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.3.2
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: ---
Assigned To: bugs@ovirt.org
Shira Maximov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-23 08:24 EST by Shira Maximov
Modified: 2016-03-27 03:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-27 03:57:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mshira: planning_ack?
mshira: devel_ack?
mshira: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Shira Maximov 2016-02-23 08:24:16 EST
Description of problem:
an Uncaught exception when editing a CPU profile.

stack trace: 
15:06:35.093 Tue Feb 23 15:06:35 GMT+200 2016 
SEVERE: Uncaught exception: com.google.gwt.core.client.JavaScriptException: (TypeError) 
 __gwt$exception: <skipped>: Dab(...) is null
	at Unknown.Hbq(Unknown Source)
	at Unknown.qdq(Unknown Source)
	at Unknown.GPn(Unknown Source)
	at Unknown.JPn(Unknown Source)
	at Unknown.ATn(Unknown Source)
	at Unknown.DTn(Unknown Source)
	at Unknown.ySn(Unknown Source)
	at Unknown.BSn(Unknown Source)
	at Unknown.XIe(Unknown Source)
	at Unknown.nyk(Unknown Source)
	at Unknown.v3(Unknown Source)
	at Unknown.O3(Unknown Source)
	at Unknown.Vvf/c.onreadystatechange<(Unknown Source)
	at Unknown.Yt(Unknown Source)
	at Unknown.au(Unknown Source)
	at Unknown._t/<(Unknown Source)
	at Unknown.anonymous(Unknown Source)
1 2315F6F85423E584AFE3585F4C988A98.cache.html:24105:12156
uDe() 2315F6F85423E584AFE3585F4C988A98.cache.html:24105
OEe() 2315F6F85423E584AFE3585F4C988A98.cache.html:22154
NEe() 2315F6F85423E584AFE3585F4C988A98.cache.html:19714
cFe() 2315F6F85423E584AFE3585F4C988A98.cache.html:9977
vLk() 2315F6F85423E584AFE3585F4C988A98.cache.html:24147
gu() 2315F6F85423E584AFE3585F4C988A98.cache.html:18345
au() 2315F6F85423E584AFE3585F4C988A98.cache.html:21255
_t/<() 2315F6F85423E584AFE3585F4C988A98.cache.html:20604


the symobl map: 
Dab,com.google.gwt.lang.Cast::dynamicCast(Ljava/lang/Object;I)Ljava/lang/Object;,com.google.gwt.lang.Cast,dynamicCast,com/google/gwt/dev/jjs/intrinsic/com/google/gwt/lang/Cast.java,53,0



Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Manager Version: 3.6.3.2-0.1.el6 

How reproducible:
100%

Steps to Reproduce:
1.go to clusters and choose a specific cluster 
2.go to CPU profiles and open for edit one of the CPU profiles- > click OK.
3. move to an other tab- for example - Virtual Machines and you will see the exception

Actual results:


Expected results:


Additional info:
Comment 2 Shira Maximov 2016-02-24 03:33:13 EST
attaching the stack trace from  /var/log/ovirt-engin/ui.log: 

2016-02-24 10:30:36,168 ERROR [org.ovirt.engine.ui.frontend.server.gwt.OvirtRemoteLoggingService] (ajp-/127.0.0.1:8702-10) [] Permutation name: 2315F6F85423E584AFE3585F4C988A98
2016-02-24 10:30:36,168 ERROR [org.ovirt.engine.ui.frontend.server.gwt.OvirtRemoteLoggingService] (ajp-/127.0.0.1:8702-10) [] Uncaught exception: : com.google.gwt.core.client.JavaScriptException: (TypeError)
 __gwt$exception: <skipped>: Dab(...) is null
        at org.ovirt.engine.ui.uicommonweb.models.profiles.ProfileListModel.$fetchProfiles(ProfileListModel.java:158)
        at org.ovirt.engine.ui.uicommonweb.models.profiles.ProfileListModel$1.onSuccess(ProfileListModel.java:143)
        at org.ovirt.engine.ui.frontend.Frontend$2.$onSuccess(Frontend.java:244) [frontend.jar:]
        at org.ovirt.engine.ui.frontend.Frontend$2.onSuccess(Frontend.java:244) [frontend.jar:]
        at org.ovirt.engine.ui.frontend.communication.OperationProcessor$2.$onSuccess(OperationProcessor.java:141) [frontend.jar:]
        at org.ovirt.engine.ui.frontend.communication.OperationProcessor$2.onSuccess(OperationProcessor.java:141) [frontend.jar:]
        at org.ovirt.engine.ui.frontend.communication.GWTRPCCommunicationProvider$5$1.$onSuccess(GWTRPCCommunicationProvider.java:271) [frontend.jar:]
        at org.ovirt.engine.ui.frontend.communication.GWTRPCCommunicationProvider$5$1.onSuccess(GWTRPCCommunicationProvider.java:271) [frontend.jar:]
        at com.google.gwt.rpc.client.impl.RpcCallbackAdapter.onResponseReceived(RpcCallbackAdapter.java:72) [gwt-servlet.jar:]
        at org.ovirt.engine.ui.common.gin.BaseSystemModule$1$1.onResponseReceived(BaseSystemModule.java:140)
        at com.google.gwt.http.client.Request.$fireOnResponseReceived(Request.java:237) [gwt-servlet.jar:]
        at com.google.gwt.http.client.RequestBuilder$1.onReadyStateChange(RequestBuilder.java:409) [gwt-servlet.jar:]
        at Unknown.Vvf/c.onreadystatechange<(Unknown Source)
        at com.google.gwt.core.client.impl.Impl.apply(Impl.java:296) [gwt-servlet.jar:]
        at com.google.gwt.core.client.impl.Impl.entry0(Impl.java:335) [gwt-servlet.jar:]
        at Unknown._t/<(Unknown Source)
        at Unknown.anonymous(Unknown Source)
Comment 3 Doron Fediuck 2016-03-20 10:54:40 EDT
Hi Shira,
I tried it on 3.6.4-0.1.el6 and wasn't able to reproduce based on your steps.
Please try to reproduce on 3.6.4-0.1.el6 or higher and let un know if it's still there.
Comment 4 Shira Maximov 2016-03-21 03:54:28 EDT
(In reply to Doron Fediuck from comment #3)
> Hi Shira,
> I tried it on 3.6.4-0.1.el6 and wasn't able to reproduce based on your steps.
> Please try to reproduce on 3.6.4-0.1.el6 or higher and let un know if it's
> still there.

Hi, I wasn't able to reproduce it on 3.6.4-0.1.el6, you can close this bug.

Note You need to log in before you can comment on or make changes to this bug.